var page={
	getURLParams:function(){
		var str=location.search.substr(1);
		str=str.split("&");
		var param={},entity=null;
		for(var i=0,len=str.length;i<len;i++){
			entity=str[i].split("=");
			param[entity[0]]=decodeURI(entity[1]);
		}
		return param;			
	},
	buildURLParams:function(param){
		if(!param){
			return null;
		}
		var rtn=[];
		for(var attr in param){
			rtn.push(attr+"="+encodeURIComponent(param[attr]));
		}
		return rtn.join("&");
	}			
};